<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="160dp"
                android:background="@mipmap/moudle_main_title_bg" />

            <LinearLayout
                android:id="@+id/moudle_fg_main_ll_top"
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:layout_marginTop="10dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="72dp"
                    android:layout_height="30dp"
                    android:gravity="center"
                    android:text="当前厂区"
                    android:textColor="#80ffffff"
                    android:textSize="14sp" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:background="#80ffffff" />

                <LinearLayout
                    android:layout_width="150dp"
                    android:layout_height="match_parent"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/moudle_fg_main_tv_bizname"
                        android:layout_width="130dp"
                        android:layout_height="match_parent"
                        android:ellipsize="end"
                        android:gravity="center_vertical"
                        android:maxLines="1"
                        android:paddingLeft="5dp"
                        android:textColor="@color/white"
                        android:textSize="16sp" />
                    <!--                        <ImageView-->
                    <!--                            android:layout_width="20dp"-->
                    <!--                            android:padding="3dp"-->
                    <!--                            android:layout_height="match_parent"-->
                    <!--                            android:src="@mipmap/moudle_iv_arrow_down"/>-->
                </LinearLayout>

                <View
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1" />

                <ImageView
                    android:layout_width="30dp"
                    android:layout_height="match_parent"
                    android:layout_marginRight="8dp"
                    android:padding="4dp"
                    android:src="@mipmap/moudle_iv_message"
                    android:visibility="gone" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/moudle_fg_main_ll_task"
                android:layout_width="match_parent"
                android:layout_height="75dp"
                android:layout_below="@+id/moudle_fg_main_ll_top"
                android:layout_marginTop="10dp"
                android:orientation="horizontal">

                <View
                    android:layout_width="20dp"
                    android:layout_height="match_parent" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="55dp"
                            android:paddingLeft="5dp"
                            android:paddingTop="8dp"
                            android:paddingRight="5dp"
                            android:src="@mipmap/moudle_all_count" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="15dp"
                            android:gravity="center_horizontal"
                            android:text="今日任务"
                            android:textColor="@color/white"
                            android:textSize="12sp" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/moudle_main_fg_task_all"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="0"
                        android:textColor="@color/white"
                        android:textSize="26sp" />
                </LinearLayout>

                <View
                    android:layout_width="15dp"
                    android:layout_height="match_parent" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="55dp"
                            android:paddingLeft="5dp"
                            android:paddingTop="0dp"
                            android:paddingRight="5dp"
                            android:src="@mipmap/moudle_uncom_count" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="15dp"
                            android:gravity="center_horizontal"
                            android:text="未提交"
                            android:textColor="@color/white"
                            android:textSize="12sp" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/moudle_main_fg_task_unsub"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="0"
                        android:textColor="@color/white"
                        android:textSize="26sp" />
                </LinearLayout>

                <View
                    android:layout_width="10dp"
                    android:layout_height="match_parent" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_weight="1"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="55dp"
                            android:paddingLeft="5dp"
                            android:paddingTop="8dp"
                            android:paddingRight="5dp"
                            android:src="@mipmap/moudle_com_count" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="15dp"
                            android:gravity="center_horizontal"
                            android:text="已提交"
                            android:textColor="@color/white"
                            android:textSize="12sp" />
                    </LinearLayout>

                    <TextView
                        android:id="@+id/moudle_main_fg_task_sub"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="0"
                        android:textColor="@color/white"
                        android:textSize="26sp" />
                </LinearLayout>

                <View
                    android:layout_width="10dp"
                    android:layout_height="match_parent" />
            </LinearLayout>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/moudle_fg_main_ll_task"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="5dp"
                android:elevation="2dp"
                app:cardCornerRadius="4dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="10dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="38dp"
                        android:orientation="horizontal"
                        android:visibility="gone">

                        <TextView
                            android:layout_width="73dp"
                            android:layout_height="38dp"
                            android:background="@drawable/shape_bg_little_blue"
                            android:gravity="center"
                            android:text="已接班"
                            android:textColor="#325CFF"
                            android:textSize="14sp" />

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="0dp"
                                android:layout_weight="1"
                                android:orientation="horizontal"
                                android:paddingLeft="10dp"
                                android:paddingRight="10dp">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="match_parent"
                                    android:gravity="center_vertical"
                                    android:text="管理员"
                                    android:textColor="@color/black"
                                    android:textSize="15sp" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="8dp"
                                    android:gravity="center_vertical"
                                    android:text="白班"
                                    android:textColor="@color/black"
                                    android:textSize="12sp" />
                            </LinearLayout>

                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="0dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical"
                                android:paddingLeft="10dp"
                                android:paddingRight="10dp"
                                android:text="06/15 21:00"
                                android:textColor="#808388"
                                android:textSize="10sp" />
                        </LinearLayout>

                        <TextView
                            android:layout_width="105dp"
                            android:layout_height="23dp"
                            android:background="@drawable/shape_bg_little_blue"
                            android:gravity="center"
                            android:text="查看交接内容"
                            android:textColor="#2748f1"
                            android:textSize="12sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="28dp"
                        android:layout_marginBottom="10dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:text="当前任务: "
                            android:textColor="@color/black"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/moudle_fg_main_tv_duration"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:hint="暂无任务"
                            android:paddingLeft="5dp"
                            android:paddingRight="5dp"
                            android:textColor="#808388"
                            android:textSize="13sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="28dp"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:text="任务："
                            android:textColor="@color/black"
                            android:textSize="13sp" />

                        <TextView
                            android:id="@+id/moudle_fg_main_tv_task_name"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:ellipsize="end"
                            android:gravity="center"
                            android:hint="暂无任务"
                            android:maxLines="1"
                            android:paddingLeft="5dp"
                            android:paddingRight="5dp"
                            android:textColor="#808388"
                            android:textSize="13sp" />
                    </LinearLayout>
                </LinearLayout>
            </androidx.cardview.widget.CardView>
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="10dp"
            android:orientation="horizontal">

            <RelativeLayout
                android:id="@+id/moudle_fg_main_rl_patrol"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.6"
                        android:padding="1dp"
                        android:src="@mipmap/moudle_fg_main_patrol" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="巡检任务"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.08" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/moudle_main_fg_rl_resource_talents"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.6"
                        android:padding="4dp"
                        android:src="@mipmap/moudle_fg_main_video" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="视频监控"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.08" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/moudle_main_fg_rl_backlog"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.6"
                        android:paddingLeft="4dp"
                        android:paddingRight="4dp"
                        android:paddingTop="5dp"
                        android:paddingBottom="2dp"
                        android:src="@mipmap/moudle_fg_main_fault" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="异常上报"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.08" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/moudle_main_fg_rl_statement"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.6"
                        android:padding="2dp"
                        android:src="@mipmap/moudle_fg_main_statement" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="厂区报表"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.08" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/moudle_main_fg_rl_monitor_screen"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.6"
                        android:paddingLeft="4dp"
                        android:paddingRight="4dp"
                        android:paddingTop="5dp"
                        android:paddingBottom="2dp"
                        android:src="@mipmap/moudle_fg_main_equ_adj" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="监视画面"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.08" />
                </LinearLayout>
            </RelativeLayout>


        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="10dp"
            android:orientation="horizontal">
            <RelativeLayout
                android:id="@+id/moudle_main_fg_rl_alarm"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.6"
                        android:padding="2dp"
                        android:src="@mipmap/moudle_fg_main_alarm" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="历史报警"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.08" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/moudle_main_fg_rl_sel_point"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.6"
                        android:padding="3dp"
                        android:src="@mipmap/moudle_fg_main_file" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="多曲线"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.08" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/moudle_main_fg_rl_solution"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.6"
                        android:padding="3dp"
                        android:src="@mipmap/moudle_fg_main_com_adj" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="曲线方案"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.08" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/moudle_main_fg_rl_equ_search"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.6"
                        android:padding="2dp"
                        android:src="@mipmap/moudle_fg_main_equsc" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.02" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="设备查询"
                        android:textColor="@color/black"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="0.08" />
                </LinearLayout>
            </RelativeLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="3dp">

            <com.gigamole.navigationtabstrip.NavigationTabStrip
                android:id="@+id/moudle_fg_main_tab"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_gravity="center"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                app:nts_active_color="@color/blue_text"
                app:nts_color="@color/blue_text"
                app:nts_corners_radius="2dp"
                app:nts_gravity="bottom"
                app:nts_inactive_color="#797979"
                app:nts_size="16sp"
                app:nts_weight="4dp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <com.sipai.ui.EmptyLayout
                android:id="@+id/moudle_main_fg_ui_empty"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/moudle_main_fg_rc_msg"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingLeft="10dp"
                android:paddingRight="10dp" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>